import request from '@/utils/request'

// 查询设备完整性申请列表
export function listApprove(query) {
  return request({
    url: '/intact/approve/list',
    method: 'get',
    params: query
  })
}

// 查询设备完整性申请列表
export function listHisApprove(query) {
  return request({
    url: '/intact/approve/hisApprovelist',
    method: 'get',
    params: query
  })
}

// 查询设备完整性申请详细
export function getApprove(id) {
  return request({
    url: '/intact/approve/' + id,
    method: 'get'
  })
}

// 查询特种设备申请详细
export function getApproveInfo(id) {
  return request({
    url: '/intact/approve/info/' + id,
    method: 'get'
  })
}

// 新增设备完整性申请
export function addApprove(data) {
  return request({
    url: '/intact/approve',
    method: 'post',
    data: data
  })
}

// 修改设备完整性申请
export function updateApprove(data) {
  return request({
    url: '/intact/approve',
    method: 'put',
    data: data
  })
}

// 删除设备完整性申请
export function delApprove(id) {
  return request({
    url: '/intact/approve/' + id,
    method: 'delete'
  })
}

// 导出设备完整性申请
export function exportApprove(query) {
  return request({
    url: '/intact/approve/export',
    method: 'get',
    params: query
  })
}


// 设备变更申请
export function handleApprove(data) {
  return request({
    url: '/intact/approve/handle',
    data: data,
    method: 'put'
  })
}